Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Fri, 29 May 2015 15:16:44 +0200

Eli Zaretskii <[email-masked]> writes:

>> Additionally, these chars are bad: ∨, λ.
>
> What do you mean by "bad"?  Here, they just make the line slightly
> higher (by a few pixels), again due to the metrics of the glyphs, but
> nowhere near the original height before my changes.  Isn't that what
> you see?

I see 7x line height caused by any of these chars. Which was exactly the
initial issue for all chars. Now most of them are fine, but these two
are not. Actually now, I notice that they are fine in this buffer. This
issue happens if I use them for `prettify-symbols-mode' stuff, like:

(font-lock-add-keywords
 'emacs-lisp-mode
 '(("\\\\\\\\|"
    (0 font-lock-keyword-face t)
    (0
     (prog1
         (compose-region
          (match-beginning 0)
          (match-end 0)
          "∨")
       nil)))))